## libdareader 1.0.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.9)
project(dareader VERSION 1.0.1 DESCRIPTION "library for reading data from fd provided by deepin-authentication")
include(GNUInstallDirs)
add_library(dareader SHARED src/reader.cpp)
set_target_properties(dareader PROPERTIES
    VERSION ${PROJECT_VERSION}
    SOVERSION 1
    PUBLIC_HEADER include/dareader/reader.h)
configure_file(dareader.pc.in dareader.pc @ONLY)
target_include_directories(dareader PUBLIC include)
install(TARGETS dareader 
    LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
    PUBLIC_HEADER DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dareader)
install(FILES ${CMAKE_BINARY_DIR}/dareader.pc
  DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)

=== debian/changelog ===
libdareader (1.0.2-1) unstable; urgency=medium

  * update

 -- chenlinxuan <chenlinxuan@uniontech.com>  Mon, 21 Feb 2022 11:09:50 +0800

libdareader (1.0-1) unstable; urgency=medium

=== debian/control ===
Source: libdareader
Priority: optional
Maintainer: chenlinxuan <chenlinxuan@uniontech.com>
Build-Depends: debhelper (>= 11), cmake
Standards-Version: 4.1.3
Section: libs

Package: libdareader-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libdareader1 (= ${binary:Version}), ${misc:Depends}
Description: dev lib for read image/video data from deepin-authentication
 this package is a dev lib for read image/video data from deepin-authentication.

Package: libdareader1
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: lib for read image/video data from deepin-authentication
 this package is a lib for read image/video data from deepin-authentication.

## libdareader 2.0.0.0

=== debian/changelog ===
libdareader (2.0.0.0) UNRELEASED; urgency=medium

  * update

 -- chenlinxuan <chenlinxuan@uniontech.com>  Tue, 14 Jun 2022 06:04:24 -0400

libdareader (2.0.0.0) unstable; urgency=medium

  * release 2.0.0.0

 --  <fanpengcheng@uniontech.com>  Tue, 14 June 2022 16:54:13 +0800

## libdareader 2.0.0.0+deepin0+rb1

=== debian/changelog ===
libdareader (2.0.0.0+deepin0+rb1) unstable; urgency=medium

  * add rebuild.

 -- lichenggang <lichenggang@uniontech.com>  Tue, 25 Nov 2025 15:02:38 +0800
